Your message dated Tue, 04 Feb 2020 20:44:18 +0000
with message-id <e1iz53s-000f5a...@fasolo.debian.org>
and subject line Bug#950389: fixed in glibc 2.29-10
has caused the Debian Bug report #950389,
regarding libc6 s390x preinstall script fails
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
950389: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=950389
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: libc6
Version: 2.30-0ubuntu3
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I currently use multi arch with s390x on Debian testing in an amd64 container
for continuous integration purposes for an upstream project, fwupd.

In the last day or so the container setup is failing with the following:

Selecting previously unselected package libc6:s390x.
Preparing to unpack .../2-libc6_2.29-9_s390x.deb ...
/usr/bin/perl: error while loading shared libraries: libcrypt.so.1: cannot open
shared object file: No such file or directory
dpkg: error processing archive /tmp/apt-dpkg-install-
Fec8mr/2-libc6_2.29-9_s390x.deb (--unpack):
 new libc6:s390x package pre-installation script subprocess returned error exit
status 127
Unpacking gcc-9-base:s390x (9.2.1-25) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-Fec8mr/2-libc6_2.29-9_s390x.deb
E: Could not configure 'libc6:s390x'.
E: Could not perform immediate configuration on 'libgcc1:s390x'. Please see man
5 apt.conf under APT::Immediate-Configure for details. (2)

The full log is available here: https://travis-
ci.org/fwupd/fwupd/jobs/644533041#L1250



-- System Information:
Debian Release: bullseye/sid
  APT prefers focal
  APT policy: (500, 'focal')
Architecture: amd64 (x86_64)

Kernel: Linux 5.3.0-19-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages libc6 depends on:
ii  libgcc1  1:9.2.1-25ubuntu1

Versions of packages libc6 recommends:
ii  libidn2-0  2.2.0-2

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]  1.5.73
pn  glibc-doc              <none>
ii  locales                2.30-0ubuntu3

-- debconf information excluded

--- End Message ---
--- Begin Message ---
Source: glibc
Source-Version: 2.29-10

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 950...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aure...@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 04 Feb 2020 20:37:26 +0100
Source: glibc
Architecture: source
Version: 2.29-10
Distribution: unstable
Urgency: medium
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aure...@debian.org>
Closes: 946599 950389
Changes:
 glibc (2.29-10) unstable; urgency=medium
 .
   * debian/debhelper.in/libc.{preinst,postrm}: Remove fallback to dpkg
     --print-architecture for pre-multiarch systems.
   * debian/debhelper.in/libc.preinst: fallback to text output in case
     perl debconf is used and perl is not usable.  Closes: #946599, #950389.
   * debian/patches/git-updates.diff: update from upstream stable branch.
Checksums-Sha1:
 d61faeac8d5822e35195c73b4bcbebd19d4b8346 8739 glibc_2.29-10.dsc
 cd6643d22f0bae8fefb9739e576f5db0f180f696 868696 glibc_2.29-10.debian.tar.xz
 edbd48a2726ce369893809d6212c1afdc5035a6f 7763 glibc_2.29-10_source.buildinfo
Checksums-Sha256:
 4365adda24264fd57faabafd0429a5f123635790fc6391d8abc2ecc15072f2b3 8739 
glibc_2.29-10.dsc
 d66ef632e204670b237b8f1a9e76e1aa9e7d5fc96d271f33128a10474740ea62 868696 
glibc_2.29-10.debian.tar.xz
 ce967535a6577186b521335a0fba06a97a0a6e096997297af4fdda134e77aa8a 7763 
glibc_2.29-10_source.buildinfo
Files:
 b5d0587c8d19387f86bba0337e2b284c 8739 libs required glibc_2.29-10.dsc
 bedc735e647a3dce401b4a27908b991b 868696 libs required 
glibc_2.29-10.debian.tar.xz
 f235628b42d0b84843bb632995bba7b5 7763 libs required 
glibc_2.29-10_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUryGlb40+QrX1Ay4E4jA+JnoM2sFAl45yI0ACgkQE4jA+Jno
M2sTYA//ZTneUaPfDsFycUcr7g+o7z8poNtiHObu4ZdJLo3tgVHor3B7l8m5hF7i
D++eFbRGcbpBrHe0vn7Ofjn9nhkDiWQNd0oVxtE8w79Q8oNGdQHRxRnock+Oy0Ig
XxMAl0KznZED6oenbcm23aGTfp31Odhj+tXCNXVFHIemMD0AlcczpvoqR27FaZwn
zbkJg2Zi335b8vSDqrS2Cq6N7hB8gY7VbtnYgotf85WwyaCDXvx3+8z0qlC6q/SL
oYUUMekDd2/irURm1XaVXW3PL7mi6bIpLaNtHoHMxXlt9ULwR01AzRKAXe26FKYk
B/jqsKo/JDc+rMF7vTDlY4xke2sE59zc37hV76uMGUY+WIZ3xd+x8Uz+YhjYYCFM
fAzRMre8vpZUcyV8EDErT/n3+uQpouEkVhI1sm5+eKs7UuW1wq3LuImqeSX3k9PD
DGRqidUIgw5TTgDwLYSKPy5q4fk+aaJIyFBE7ucUow8iWldPVEadtF0pnks1L3SV
JjB790Rs1lynPt/BwtW5mDSLNS2ze6NKpBOF5/Sf+QrVuroPk02zSbWIEJYvl87P
UzRUjd5rtHtBi5sT6pTtTRFAnRUhmEJzJ5HnwTcV/ssYdrMUVMkRdo/7QEymtjCl
AyBKTDJd07M8eE6Y86hMTc4qMeMY4RS6AqCQwZPx6H4joJ4YQd4=
=L9GV
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to